| QxOrm 1.2.6 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qx::QxValidator_Recursive< DataType, Owner > Class Template Reference
QxValidator : QxOrm library validation engine using validator pattern

qx::QxValidator_Recursive<DataType, Owner> : concrete class for a recursive validator More...

`#include <QxValidator.h>`

Inheritance diagram for qx::QxValidator_Recursive< DataType, Owner >:

List of all members.

## Public Member Functions
| QxValidator_Recursive ()
virtual | ~QxValidator_Recursive ()
virtual void | validate (void *pOwner, QxInvalidValueX &lstInvalidValues) const

## Detailed Description

### template<typename DataType, class Owner>
class qx::QxValidator_Recursive< DataType, Owner >

qx::QxValidator_Recursive<DataType, Owner> : concrete class for a recursive validator

For more informations about QxValidator module, goto the FAQ of QxOrm website : http://www.qxorm.com/qxorm_en/faq.html#faq_250

Definition at line 152 of file QxValidator.h.

## Constructor & Destructor Documentation

template<typename DataType , class Owner >

qx::QxValidator_Recursive< DataType, Owner >::QxValidator_Recursive | ( |  | ) | `[inline]`

Definition at line 157 of file QxValidator.h.

template<typename DataType , class Owner >

virtual qx::QxValidator_Recursive< DataType, Owner >::~QxValidator_Recursive | ( |  | ) | `[inline, virtual]`

Definition at line 158 of file QxValidator.h.

## Member Function Documentation

template<typename DataType , class Owner >

virtual void qx::QxValidator_Recursive< DataType, Owner >::validate | ( | void * | pOwner,
|  | QxInvalidValueX & | lstInvalidValues
| ) |  | const`[inline, virtual]`

Reimplemented from qx::IxValidator.

Definition at line 160 of file QxValidator.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxValidator/QxValidator.h